ConditionalPath (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.types.ConditionalPath class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.types
Class ConditionalPath

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              org.apache.tools.ant.types.Path
                  net.sf.antcontrib.cpptasks.types.ConditionalPath

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  IncludePath, SystemIncludePath

    public class ConditionalPath

extends org.apache.tools.ant.types.Path

An Ant Path object augmented with if and unless conditionals

Author:
  Curt Arnold

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.tools.ant.types.Path
`org.apache.tools.ant.types.Path.PathElement`

Field Summary

Fields inherited from class org.apache.tools.ant.types.Path
`systemBootClasspath, systemClasspath`

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`ConditionalPath(org.apache.tools.ant.Project project)`
`ConditionalPath(org.apache.tools.ant.Project p, java.lang.String path)`

Method Summary
`boolean` | `isActive(org.apache.tools.ant.Project p)` Returns true if the Path's if and unless conditions (if any) are satisfied.
`void` | `setIf(java.lang.String propName)` Sets the property name for the 'if' condition.
`void` | `setUnless(java.lang.String propName)` Set the property name for the 'unless' condition.

Methods inherited from class org.apache.tools.ant.types.Path
`add, addDirset, addExisting, addExisting, addExtdirs, addFilelist, addFileset, addJavaRuntime, append, clone, concatSystemClasspath, concatSystemClasspath, createPath, createPathElement, dieOnCircularReference, list, setLocation, setPath, setRefid, size, toString, translateFile, translateFileSep, translatePath`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, setDescription, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConditionalPath

    public ConditionalPath(org.apache.tools.ant.Project project)

### ConditionalPath

    public ConditionalPath(org.apache.tools.ant.Project p,
                           java.lang.String path)

Method Detail

### isActive

    public boolean isActive(org.apache.tools.ant.Project p)
                     throws org.apache.tools.ant.BuildException

  Returns true if the Path's if and unless conditions (if any) are satisfied.

  Throws:
    `org.apache.tools.ant.BuildException`

### setIf

    public void setIf(java.lang.String propName)

  Sets the property name for the 'if' condition. The path will be ignored unless the property is defined. The value of the property is insignificant, but values that would imply misinterpretation ("false", "no") will throw an exception when evaluated.

  Parameters:
    `propName` - property name

### setUnless

    public void setUnless(java.lang.String propName)

  Set the property name for the 'unless' condition. If named property is set, the path will be ignored. The value of the property is insignificant, but values that would imply misinterpretation ("false", "no") of the behavior will throw an exception when evaluated.

  Parameters:
    `propName` - name of property

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.